Bug 5250 - Various enhancements to web based checkouts
Summary: Various enhancements to web based checkouts
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Self checkout (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Chris Nighswonger
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-24 19:04 UTC by Chris Nighswonger
Modified: 2020-01-06 20:14 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
patch 1/2 (41.08 KB, patch)
2011-02-16 21:35 UTC, Nicole C. Engard
Details | Diff | Splinter Review
patch 2/2 (8.59 KB, patch)
2011-02-16 21:35 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Nighswonger 2010-09-24 19:04:19 UTC
Among various layout enhancements this patch adds two web-based checkout system preferences:
    
    1. WebBasedSelfCheckTimeout - This preference sets the time in milliseconds
    beyond which the patron's session will time out and they will be required to
    re-scan/re-enter their card number. The timer is reset on each page load.
    Previously this was hard coded at 120000 milliseconds or 120 seconds.
    
    2. WebBasedSelfCheckHeader - This preference allows the library to insert its
    own custom header at the top of the web-based self checkout service pages.
    
Among the misc changes are the inclusion of opac.css in the web-based self
checkout template since it is technically part of the opac. sco.css is applied
last so that those settings override those in opac.css.
    
The online help is modified to pop up a window rather than requiring the user to navigate away from the interface.
Comment 1 Chris Nighswonger 2010-09-24 19:19:47 UTC
Patches can be picked up here:

http://git.koha-community.org/gitweb/?p=wip/koha-fbc.git;a=shortlog;h=refs/heads/k_bug_5250
Comment 2 Nicole C. Engard 2011-02-16 21:35:12 UTC
Created attachment 3167 [details] [review]
patch 1/2
Comment 3 Nicole C. Engard 2011-02-16 21:35:31 UTC
Created attachment 3168 [details] [review]
patch 2/2
Comment 4 Nicole C. Engard 2011-03-01 17:57:08 UTC
Patch 2/2 does not apply:



Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all y
Applying: Enhancement: [3.4] [2/2] Web-based checkout enhancements
Using index info to reconstruct a base tree...
error: patch failed: installer/data/mysql/fr-FR/1-Obligatoire/unimarc_standard_systemprefs.sql:286
error: installer/data/mysql/fr-FR/1-Obligatoire/unimarc_standard_systemprefs.sql: patch does not apply
Did you hand edit your patch?
It does not apply to blobs recorded in its index.
Cannot fall back to three-way merge.
Patch failed at 0001 Enhancement: [3.4] [2/2] Web-based checkout enhancements
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
nengard@debian:~/kohaclone$
Comment 5 Katrin Fischer 2012-06-11 14:27:01 UTC
Patches are still for H:T:P - perhaps someone can reformat?
Comment 6 Owen Leonard 2012-08-23 15:57:01 UTC
If there is still a desire for these features, I suggest some separate bugs be created for the features submitted in the original patch.
Comment 7 Marc Véron 2016-09-30 06:39:15 UTC
- Timeout is covered by system preference SelfCheckTimeout 
- For additional content on the SCO page see Bug 17381
Comment 8 Marc Véron 2017-04-18 14:08:24 UTC
(In reply to Marc Véron from comment #7)
(...)
> - For additional content on the SCO page see Bug 17381

Bug 17381 - Add system preference SCOMainUserBlock is ready to sign off.
Comment 9 Katrin Fischer 2019-04-10 00:50:37 UTC
This is a very old bug where most of the things listed have since been resolved separately. Closing here, please reopen small separate bugs if anything was missed.